# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests.helpers import try_import

addr_data = try_import('address_book_app.address_book.data')


def get_test_contact(first_name, last_name, phone_number):
    """
    Return Contact object with specified details.

    :param first_name: First name of contact.
    :param last_name: Last name of contact.
    :param phone_number: Phone number of contact.
    :return: Contact object with specified details.
    """
    mobile_number = addr_data.Phone(type_='Mobile', number=phone_number)
    return addr_data.Contact(
        first_name=first_name, last_name=last_name,
        phones=[mobile_number])
