# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from autopilot.display import is_point_on_any_screen

KEY_ORDER_BY_X = ['globalRect.x', 'globalRect.y']
KEY_ORDER_BY_Y = ['globalRect.y', 'globalRect.x']


def list_contains_data(list, data):
    """Return True if any item in list contains specified data."""
    for item in list:
        if item.find(data) >= 0:
            return True
    return False


def filter_on_screen_items(items):
    """Return items that are visible on screen."""
    return [item for item in items if is_point_on_any_screen(
        (item.globalRect.x, item.globalRect.y))]
