# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
import os
from ubuntu_system_tests.helpers import file_system as fs
from ubuntu_system_tests.helpers.configuration import Config

CALCULATOR_CONF_DIR = "com.ubuntu.calculator"
CALCULATOR_CONF_FILE = "com.ubuntu.calculator.conf"


class CalculatorConfig(Config):

    def __init__(self):
        self.conf_file_path = os.path.join(
            fs.DIR_HOME_CONFIG, CALCULATOR_CONF_DIR, CALCULATOR_CONF_FILE)
        conf_dir = os.path.join(fs.DIR_HOME_CONFIG, CALCULATOR_CONF_DIR)
        if not os.path.exists(conf_dir):
            os.makedirs(conf_dir)
        if not os.path.exists(self.conf_file_path):
            open(self.conf_file_path, 'w+')
        super().__init__()

    def config_walkthrough(self, first_run="false"):
        self.set_config_value("General", "firstRun", first_run)
