# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
import fixtures

from ubuntu_system_tests.helpers.calculator.config import CalculatorConfig


class CalculatorConfigFixture(fixtures.Fixture):
    """Base fixture used to set messaging config"""

    def __init__(self, first_run=False):
        self.first_run = str(first_run).lower()

    def setUp(self):
        super().setUp()
        calc_config = CalculatorConfig()
        try:
            first_run_original_value = calc_config.get_config_value(
                "General", "firstRun")
        except KeyError:
            first_run_original_value = "true"

        calc_config.config_walkthrough(first_run=self.first_run)
        self.addCleanup(
            calc_config.config_walkthrough, first_run_original_value)
