
# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from ubuntu_system_tests.helpers.ubuntuuitools.cpo.qquicklistview import QQuickListView  # NOQA
from ubuntu_system_tests.helpers.ubuntuuitools.cpo.common import CustomProxyObjectBase  # NOQA

INDICATOR_PAGE_PATH = b'IndicatorPage'


class IndicatorPage(CustomProxyObjectBase):
    """Extend IndicatorPage from Unity8."""

    @classmethod
    def validate_dbus_object(cls, path, state):
        return False

    def _get_listview(self):
        """Return the list view object from the indicator."""
        return self.select_single(QQuickListView, objectName='mainMenu')

    def press_label(self, text):
        """Press the label in the list view of the indicator."""
        self._get_listview().press_label(text)
