# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from ubuntu_system_tests.helpers import context
from autopilot import input

TRANSFER_INDICATOR = 'indicator-transfer'


class IndicatorsFactory:

    @staticmethod
    def get_indicators_page(indicator_name):
        widget = context.shared.unity.main_window._get_indicator_panel_item(
            indicator_name)
        start_x, start_y = input.get_center_point(widget)
        end_x = start_x
        end_y = context.shared.unity.main_window.height
        context.shared.unity.main_window.pointing_device.drag(
            start_x, start_y, end_x, end_y)
        context.shared.unity.main_window.wait_select_single(
            'IndicatorsMenu', fullyOpened=True)

        return context.shared.unity.main_window.select_single(
            'IndicatorPage', visible=True)
