# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
from ubuntu_system_tests.helpers.init_systems import get_init_system


class JobBase:
    """ This contains a base implementation for a Job entity """

    def __init__(self, name, sudo=False):
        self.name = name
        self.sudo = sudo

    def is_supported(self, *args, **kwargs):
        """Check if job is supported
        :return True if job is supported, False otherwise
        """
        return 'Unknown job' not in get_init_system().get_status(
            self, *args, **kwargs)
