# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
#
# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests.helpers.messaging.app import (
    APP,
    APP_NAME,
    APP_WIN_ID,
    get_messaging_app_proxy,
    is_messaging_app_running,
    launch_messaging_app,
    launch_messaging_app_from_launcher,
    Messaging,
)
from ubuntu_system_tests.helpers.messaging.utils import (
    Attachment,
    calculate_sent_message_count,
    focus_message_input_field,
    MEDIA_TYPE_CONTACT,
    MEDIA_TYPE_PICTURE,
    MEDIA_TYPE_VIDEO,
    Message,
    Search,
    split_into_received_messages,
)


__all__ = [
    'APP',
    'APP_NAME',
    'APP_WIN_ID',
    'Attachment',
    'calculate_sent_message_count',
    'focus_message_input_field',
    'get_messaging_app_proxy',
    'is_messaging_app_running',
    'launch_messaging_app',
    'launch_messaging_app_from_launcher',
    'MEDIA_TYPE_CONTACT',
    'MEDIA_TYPE_PICTURE',
    'MEDIA_TYPE_VIDEO',
    'Message',
    'Messaging',
    'Search',
    'split_into_received_messages',
]
