# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
#
# Copyright (C) 2015 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

from ubuntu_system_tests.helpers.calculator import Calculator
from ubuntu_system_tests.helpers.calculator.fixture_setup import (
    CalculatorConfigFixture)
from ubuntu_system_tests.tests import base


class CalculatorTestCase(base.BaseUbuntuSystemTestCase):

    def setUp(self):
        super().setUp()
        self.useFixture(CalculatorConfigFixture())
        self.calculator_app = Calculator()
        self.calculator_app.launch_from_scope(return_proxy=False)
        self.calculator = self.calculator_app.get_main_view()

    def test_simple_multiplication(self):
        """Multiply two numbers."""
        self.calculator.enter_operation('2*3')
        self.assertEquals(self.calculator.calculate(), '6')

    def test_calculation_using_previous_result(self):
        """Add two number and multiply the result with another."""
        self.calculator.enter_operation('2+3')
        self.assertEquals(self.calculator.calculate(), '5')
        self.calculator.enter_operation('*5')
        self.assertEquals(self.calculator.calculate(), '25')
